Bug 449034 - Xorg crashes when starting OpenOffice under special circumstances
Xorg crashes when starting OpenOffice under special circumstances
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-openchrome (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-29 18:34 EDT by Martin Jürgens
Modified: 2018-04-11 05:00 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.2.903-8.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-24 01:20:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (55.08 KB, text/plain)
2008-05-29 18:34 EDT, Martin Jürgens
no flags Details
xorg conf (1.66 KB, text/plain)
2008-05-29 18:34 EDT, Martin Jürgens
no flags Details

  None (edit)
Description Martin Jürgens 2008-05-29 18:34:06 EDT
Description of problem:
Xorg crashes when starting OpenOffice under special circumstances. I'm using
Openchrome for my VN800 chipset, EXA + some special EXA settings. My logs are
attached.

Version-Release number of selected component (if applicable):
Latest in Repos

How reproducible:
Always

Steps to Reproduce:
1. Configure Xorg as I have
2. Start Openoffice
3.
  
Actual results:
Crash

Expected results:
No crash

Additional info:
log and xorg.conf attached. Hope you rock on it.
Comment 1 Martin Jürgens 2008-05-29 18:34:07 EDT
Created attachment 307148 [details]
Xorg log
Comment 2 Martin Jürgens 2008-05-29 18:34:51 EDT
Created attachment 307149 [details]
xorg conf
Comment 3 Matěj Cepl 2008-05-30 06:05:09 EDT
I don't think EXA works well with openchrome driver.
Comment 4 Martin Jürgens 2008-05-30 06:34:32 EDT
Well, when I just enable EXA without the special options, gtkperf shows that it
is slower than XAA, but it works fairly well without crashes.

Just thought that it may be a Xorg issue in which you may want to have a look
at, as Openchrome does not appear in the backtrace so it should probably not crash.
Comment 5 Matěj Cepl 2008-05-30 16:35:20 EDT
EXA is not in the final shape yet, and I would suspect that especially with less
widespread driver as openchrome, it could be quite problematic.
Comment 6 Xavier Bachelot 2009-03-22 07:39:39 EDT
Martin, does latest openchrome driver from either F10 updates (0.2.903-5.fc10)
or F10-updates-testing (0.2.903-6.fc10) help ? Can you please provided an
updated xorg log ?
Comment 7 Matěj Cepl 2009-05-18 07:49:39 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 8 Bug Zapper 2009-06-09 21:16:56 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 14:26:12 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Fedora Update System 2009-07-19 11:40:04 EDT
xorg-x11-drv-openchrome-0.2.903-12.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.903-12.fc11
Comment 11 Fedora Update System 2009-07-19 11:41:25 EDT
xorg-x11-drv-openchrome-0.2.903-8.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.903-8.fc10
Comment 12 Fedora Update System 2009-07-22 17:50:07 EDT
xorg-x11-drv-openchrome-0.2.903-12.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-openchrome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7851
Comment 13 Fedora Update System 2009-07-22 17:53:37 EDT
xorg-x11-drv-openchrome-0.2.903-8.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-openchrome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7859
Comment 14 Fedora Update System 2009-09-24 01:20:13 EDT
xorg-x11-drv-openchrome-0.2.903-12.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-09-24 01:24:30 EDT
xorg-x11-drv-openchrome-0.2.903-8.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.